Name: xfce4-smartpm-plugin
Version: 0.4.0
Release: alt1

Summary: Package update notifier plugin for the XFce panel
License: GPL
Group: Graphical desktop/XFce
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Url: http://goodies.xfce.org/projects/panel-plugins/%name
Source: http://goodies.xfce.org/releases/%name/%name-%version.tar.gz
Source1: %name.watch
Patch: xfce4-smartpm-plugin-asneeded.patch

Requires: xfce4-panel >= 4.4
BuildPreReq: xfce4-panel-devel >= 4.4 xfce4-dev-tools intltool

# Automatically added by buildreq on Wed May 14 2008
BuildRequires: apt imake intltool libSM-devel su sudo xfce4-dev-tools xfce4-panel-devel xorg-cf-files

%description
This is a Smart plugin for the Xfce panel, version 4.4.0 or higher. It
checks for package updates using the Smart Package Manager (smartpm.org).

It should work with both Fedora (RPM packages) and Ubuntu (DEB packages),
and also with Slackware (TGZ packages) although this has not been tested.

It can also be configured, though with less features and functionality,
to use either the Yum (+Extender) or APT (+Synaptic) package managers.
%prep
%setup
%patch -p1

%build
intltoolize --force
libtoolize --force --copy
aclocal -I /usr/share/xfce4/dev-tools/m4macros/
automake -a -c -f
autoconf
%configure
%make_build

%install
%makeinstall_std

%find_lang %name

%files -f %name.lang
%doc README ChangeLog INSTALL COPYING AUTHORS
%_liconsdir/*.png
%_miconsdir/*.png
%_iconsdir/hicolor/scalable/apps/*.svg
%_libexecdir/xfce4/panel-plugins/*
%_datadir/xfce4/panel-plugins/*.desktop

%changelog
* Mon Dec 29 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.4.0-alt1
- new version

* Wed May 14 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.3.1-alt1
- new version

* Sat Jan 05 2008 Eugene Ostapets <eostapets@altlinux.ru> 0.2.2-alt1
- First build
